%define name		javamake
%define Name		JavaMake
%define version		1.3.2
%define ant_version	1.5
%define ant_tversion	15
%define release		3jpp
%define section		non-free

Summary:	A Make Tool for the Java Language
Url:			http://www.experimentalstuff.com/Technologies/%{Name}/

Source0:	http://www.experimentalstuff.com/data/%{Name}-ant%{ant_tversion}-src.zip
NoSource:	0

Source1:	http://www.experimentalstuff.com/data/%{name}.jar
NoSource:	1

# If you do not want -javadoc built, give rpmbuild option '--without javadoc'
%define with_javadoc %{!?_without_javadoc:1}%{?_without_javadoc:0}

%if %{with_javadoc}
Source2:	http://www.experimentalstuff.com/data/%{name}-api.zip
NoSource:	2
%endif

Source3:	http://www.experimentalstuff.com/data/%{name}-doc.zip
NoSource:	3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Sun Binary Code License
Group:		Development/Compilers
Vendor:		JPackage Project
Distribution:	JPackage
Provides:	%{name}-ant = {ant_version}
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.5
Requires:	jpackage-utils >= 0:1.5
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This tool's functionality is analogous to the "smart checking" feature
of Borland JBuilder or the dependency analysis feature of IBM Jikes.
However, it is a command line tool that is not tied to any IDE, can be
used with any Java compiler, and can run as a task in the popular Ant
make system.

%package ant
Summary:	Ant task for %{name}
Group:		Development/Compilers
Requires:	%{name} = %{version}-%{release}
Requires:	ant >= %{ant_version}

%description ant
Ant task for %{name}.

%package manual
Summary:	Manual for %{name}
Group:		Development/Compilers

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Compilers

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c -n %{name}-%{version}

cp %{SOURCE1} .

%if %{with_javadoc}
%setup -q -c -T -D -a 2 -n %{name}-%{version}/javadoc
%endif

%setup -q -c -T -D -a 3 -n %{name}-%{version}/manual

# This sets the directory to the top of unpacked sources:
%setup -n %{name}-%{version} -D -T

%build

# ant task jar
install -d -m 0755           com/sun/tools/%{name}/ant
mv -f %{Name}.java           com/sun/tools/%{name}/ant
export CLASSPATH=%{SOURCE1}:%(build-classpath ant)
(cd com/sun/tools/%{name}/ant && %javac %{Name}.java)
%jar cf %{name}-ant-%{ant_version}.jar com

%install
rm -rf $RPM_BUILD_ROOT

# main jar
install -d -m 0755             $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar   $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# ant task jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 %{name}-ant-%{ant_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ant-%{ant_version}.jar
ln -s %{name}-ant-%{ant_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ant.jar

# javadoc
%if %{with_javadoc}
install -d -m 0755           $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/*	     $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version}     $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files ant
%defattr(-,root,root,-)
%{_javadir}/%{name}-ant.jar
%{_javadir}/%{name}-ant-%{ant_version}.jar

%files manual
%defattr(-,root,root,-)
%doc manual/*

%if %{with_javadoc}
%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}
%endif

%changelog
* Wed Jan 14 2004 Ralph Apel <r.apel@r-apel.de> 0:1.3.2-3jpp
- added ant as BuildRequires

* Wed Oct 08 2003 Leonid Dubinsky <dub@podval.org> 0:1.3.2-2jpp
- conditionalize javadoc subpackage
- remove build dependency on ant in ant subpackage
- move unpacking of sources from install to prep stage
- move installation from build to install stage
- move cleanup from prep to install stage

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.3.2-1jpp
- update for JPackage 1.5

* Sat Mar 01 2003 David Walluck <david@anti-microsoft.org> 1.3.1-1jpp
- 1.3.1
- required by netbeans 3.4.1
